
QGIS Application - Bug report #11356

Attribute Table in Print Composer : resize empty table when the displayed message is too long

2014-10-08 04:22 AM - Harrissou Santanna

Status: Closed

Priority: Normal

Assignee: Nyall Dawson

Category: Map Composer/Printing

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 19647

Description

Open a print composer

add an attribute table item

set it to "show only features visible within a map" 

In appearance frame, set "empty tables" to "show set message" and write a long message below.

Even if your columns width is set to automatic, you might get your string truncated (if you wrote it long enough :) ).

If the message is too long, I think the attribute table should be resized so it's fully displayed.

Another option could be to show the message on multiple lines (maybe this one is easier and ensures that the width set for each column is

maintained?)

History

#1 - 2017-05-01 01:08 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#2 - 2019-03-09 04:09 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
